#
# spec file for package perl-Digest-CRC
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:         perl-Digest-CRC
Version:      0.16
Release:      7.2
AutoReqProv:  on
Group:        Development/Libraries/Perl
License:      Public domain
URL:          http://search.cpan.org/dist/Digest-CRC/
Summary:      Generic CRC functions for Perl
Source:       Digest-CRC-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
The Digest::CRC module calculates CRC sums of all sorts.  It contains
wrapper functions with the correct parameters for CRC-CCITT, CRC-16,
CRC-32 and CRC-64.

%prep
%setup -q -n Digest-CRC-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Sep 30 2010 opensuse@dstoecker.de
- updated
* Tue Sep 28 2010 opensuse@dstoecker.de
- updated
* Fri Feb  8 2008 opensuse@dstoecker.de
- updated
  Thu Oct 25 00:00:00 UTC 2007 - Peter Eisentraut 0.10
- initial package release
